UpdateAlertInhibitionRule
Update an existing inhibition rule configuration
PUT
/api/v1/alerting/inhibition-rules/{ruleId}Operation ID
UpdateAlertInhibitionRuleSince
1.0.0Execution Mode
SynchronousAuth Context
Auth RequiredAuth Context
Send these values as request headers when calling this API.
AuthorizationstringRequiredBearer Token
X-Tenant-IDstringX-Tenant-ID
Request Inputs
application/jsonPath Parameters
ruleIdStringRequiredInhibition rule identifier to update
Body Fields
nameStringNew rule name
Example: Updated inhibition rule
descriptionStringNew rule description
Example: Updated description
enabledBooleanNew enabled state
Example: true
sourceMatchersListSource matchers for this resource
Example: (nested array)
targetMatchersListTarget matchers for this resource
Example: (nested array)
Responses
200 OKChange History
View all change historyChange TimeChange SummaryAction
Change Time
AddedRequest body fields equalLabelNames, reason, sourceMatchers...DeletedRequest body fields equalLabels, sourceMatch, targetMatchAddedResponse fields createdBy, currentHitCount, displayName...DeletedResponse fields equalLabels, sourceMatch, targetMatchView API
